Bug 204191 - Evolution
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-08-26 11:51 EDT by Ed Hill
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-02 23:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2006-08-26 11:51:58 EDT
Description of problem:
Evolution consistently crashes at startup.  The only work-around seems to 

  mv ~/.evolution some/other/dir

which then allows it to run but I've (obviously) lost all my contacts, 
past emails, etc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start evolution and watch it immediately crash
2. spews many warnings

Additional info:

Dozens or even hundreds of warnings of the form:
=== warnings ===
(evolution-2.6:24636): camel-local-provider-WARNING **: Could not open/create
index file: Too many open files: indexing not performed

(evolution-2.6:24636): camel-WARNING **: Could not save object state file to
Too many open files
=== warnings ===

and here is a back-trace after installing evolution-debuginfo-2.6.3-1.fc5.5

camel-local-provider-ERROR **: file camel-mbox-folder.c: line 356
(mbox_get_message): assertion failed: (info->frompos != -1)

Program received signal SIGABRT, Aborted.
[Switching to Thread -1249965152 (LWP 28391)]
0x00441402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00441402 in __kernel_vsyscall ()
#1  0x0048b069 in raise () from /lib/libc.so.6
#2  0x0048c671 in abort () from /lib/libc.so.6
#3  0x00863c42 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0x00863c79 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0x00863cf6 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#6  0x05206bce in camel_mbox_folder_new ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamellocal.so
#7  0x0463fffc in camel_folder_get_message () from
#8  0x01047a23 in get_message_get (mm=0x8c919e8) at mail-ops.c:1752
#9  0x010452d5 in mail_msg_received (e=0x8a0da80, msg=0x8c919e8, data=0x0) at
#10 0x0476cef4 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
#11 0x006fd40b in start_thread () from /lib/libpthread.so.0
#12 0x0052bb7e in clone () from /lib/libc.so.6
Comment 1 Matthew Barnes 2006-10-30 16:43:39 EST
This might be a dupe of bug #198935, which should be fixed in Fedora Core 6.

Ed, can you please try upgrading and see whether Evolution 2.8 still crashes on
you at startup?
Comment 2 Matěj Cepl 2007-08-31 11:21:30 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Ed Hill 2007-09-02 13:27:20 EDT
Please close this bug.  To the best of my memory, it took a few weeks for 
the evolution developers to understand the problem (too many open files) 
and then fix it.  During that time period, I switched to sylpheed-claws 
(now claws-mail) because I needed a working MUA for day-to-day activities 
and I just couldn't wait.

Evolution served me well for few years and now I'm a claws-mail user.
Comment 4 Matthew Barnes 2007-09-02 23:33:08 EDT
Closing as requested.

Note You need to log in before you can comment on or make changes to this bug.